Subject: categories: CT for CS?

From: [email-masked]
Date: Mon, 2 Nov 1998 16:55:10 -0400 (AST)

The new Faculty of Computer Science at Dalhousie is asking Mathematics 
for new classes and the chairman of Mathematics is willing to suggest a 
Category Theory class. Is there now a `standard CT for CS class' in the 
same way that there is a `standard first class in measure theory' and so on?

If so, can you advise on
1) text(s), including material to be explicitly covered in a 39 hour class;
2) background required, both for a CS major and a Mathematics major;
3) universities which actually do this --- particularly those with 
   pretensions and realities similar to Dalhousie's?

Please send responses directly to me rather than the categories list. I
will summarize them for the list.

Thanks
RJ